+++
title = "Working with Documents"
lastmod = "2018-04-19T18:17:27+03:00"
+++
# Working with Documents

Solus comes pre-installed with [LibreOffice](https://libreoffice.org), an office suite that is capable of replacing Microsoft<sup>TM</sup> Office for the most common tasks.
 
By default, Solus provides Writer (document editor), Calc (spreadsheet editor), and Impress (presentation editor). Other applications such as Math or Draw can be installed from the Software Center.

## Calc

{{< altimg "libreoffice-calc.jpg" "help-center/common-tasks/working-with-documents/" >}}

Calc is a spreadsheet editor. You can view, create, and edit spreadsheets as well as leverage a comprehensive range of advanced functions. Calc supports a variety of common open formats and Microsoft<sup>TM</sup> Office compatible document formats such as (but not limited to): `xls`, `xlsx`, and `ods`.

## Draw

{{< altimg "libreoffice-draw.jpg" "help-center/common-tasks/working-with-documents/" >}}

Draw is a graphical editor that allows you to sketch diagrams, workflows and any kind of other simple to complex drawing you can imagine. You can install Draw from the Software Center by searching for the package `libreoffice-draw`.

## Impress

{{< altimg "libreoffice-impress.jpg" "help-center/common-tasks/working-with-documents/" >}}

Impress is a presentation viewer and editor. You can view, create, edit, and export presentations in common open formats or Microsoft<sup>TM</sup> Office compatible document formats such as (but not limited to): `ppt`, `pptx`, and `odp`.

## Math

{{< altimg "libreoffice-math.jpg" "help-center/common-tasks/working-with-documents/" >}}

Math is a formula editor. Create your mathematical and scientific expressions and insert them with the correct formatting into your text documents, spreadsheets, presentations, or drawings. Math can be installed from the Software Center by searching for the package `libreoffice-math`.

## Writer

{{< altimg "libreoffice-writer.jpg" "help-center/common-tasks/working-with-documents/" >}}

Writer is a document editor. You can view, create, edit, and export documents in common open formats or Microsoft<sup>TM</sup> Office compatible document formats such as (but not limited to): `doc`, `docx`, and `odt`.

### Spell-checking

LibreOffice Writer users may want to install the package `libreoffice-common-dictionaries` from Software Center to automatically enable spell-checking support.

#### Finnish

Finnish language support is provided by installing `libreoffice-voikko`. After installation of this package, there is further configuration required to properly leverage the Voikko spell-checking and Finnish dictionary support.

1. Open up LibreOffice Writer
2. In the menubar, go to `Tools` then `Options`. This will open up the Options dialog.
3. Go to the Language Settings, listed on the left of Options.
4. Under Language Settings, click Writing Aids and ensure the "Spellchecker (Voikko)", "Grammar checker (Voikko)", and "Hyphenator (Voikko)" are under the "Available language modules" section.
4. Under Language Settings, click Voikko and ensure "standard: suomi (perussanasto)" is selected under the "Vocabulary" section.